;;; -------------------------------------------------------------------------
;;; -- Show and change the ScaleFactor property of dimensions and leaders ---
(DEFUN c:SF (/ n ss1 ent1 obj1 oldSF newSF)
(SETQ ss1 (ssget '((-4 . "<OR")(0 . "DIMENSION")(0 . "LEADER")(-4 . "OR>"))))
(initget 6)
(setq ent1 (ssname ss1 0))
(setq obj1 (vlax-ename->vla-object ent1))
(setq oldSF (rtos (vlax-get-property obj1 "ScaleFactor") 2))
(SETQ newSF (GETREAL (STRCAT "\nEnter ScaleFactor <" oldSF ">: ")))
(IF ss1 (REPEAT (SETQ n (SSLENGTH ss1))
   (VLA-PUT-SCALEFACTOR (VLAX-ENAME->VLA-OBJECT (SSNAME ss1 (SETQ n (1- n)))) newSF) ) )
(if ss1 (sssetfirst nil ss1))
(princ)
) ; -------------------------------------------------------------------------



;;; -------------------------------------------------------------------------
;;; -- Show and change the Global Width property of lightweight polylines ---
(DEFUN c:GW (/ n ss1 ent1 obj1 oldGW newGW)
(SETQ ss1 (ssget '((0 . "LWPOLYLINE"))))
(initget 6) ; prevents the user from responding with a negative number or 0
(setq ent1 (ssname ss1 0))
(setq obj1 (vlax-ename->vla-object ent1))
(setq oldGW (rtos (vlax-get-property obj1 "ConstantWidth") 2))
(SETQ newGW (GETREAL (STRCAT "\nEnter Global Width <" oldGW ">: ")))
(IF ss1 (REPEAT (SETQ n (SSLENGTH ss1))
   (VLA-PUT-CONSTANTWIDTH (VLAX-ENAME->VLA-OBJECT (SSNAME ss1 (SETQ n (1- n)))) newGW) ) )
(if ss1 (sssetfirst nil ss1))
(princ)
) ; -------------------------------------------------------------------------
